# TdApi.ToggleBotIsAddedToAttachmentMenu (tdlight API 4.0.311 API)
declaration: module: tdlight.api, package: it.tdlight.jni, class: TdApi, class: ToggleBotIsAddedToAttachmentMenu

Module tdlight.api
Package it.tdlight.jni

# Class TdApi.ToggleBotIsAddedToAttachmentMenu

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Function<TdApi.Ok>
it.tdlight.jni.TdApi.ToggleBotIsAddedToAttachmentMenu

Enclosing class:
  TdApi

public static final class TdApi.ToggleBotIsAddedToAttachmentMenu extends TdApi.Function<TdApi.Ok>
Adds or removes a bot to attachment menu. Bot can be added to attachment menu, only if userTypeBot.canBeAddedToAttachmentMenu == true. Returns `Ok`

## Field Summary

Fields
Modifier and Type
Field
Description
`boolean`
`allowWriteAccess`
Pass true if the current user allowed the bot to send them messages.
`long`
`botUserId`
Bot's user identifier.
`static final int`
`CONSTRUCTOR`
`boolean`
`isAdded`
Pass true to add the bot to attachment menu; pass false to remove the bot from attachment menu.

## Constructor Summary

Constructors
Constructor
Description
`ToggleBotIsAddedToAttachmentMenu()`
Adds or removes a bot to attachment menu.
`ToggleBotIsAddedToAttachmentMenu(long botUserId, boolean isAdded, boolean allowWriteAccess)`
Adds or removes a bot to attachment menu.
`ToggleBotIsAddedToAttachmentMenu(DataInput input)`
Adds or removes a bot to attachment menu.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Function

`toString`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### botUserId

public long botUserId
Bot's user identifier.

### isAdded

public boolean isAdded
Pass true to add the bot to attachment menu; pass false to remove the bot from attachment menu.

### allowWriteAccess

public boolean allowWriteAccess
Pass true if the current user allowed the bot to send them messages. Ignored if isAdded is false.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### ToggleBotIsAddedToAttachmentMenu

public ToggleBotIsAddedToAttachmentMenu()
Adds or removes a bot to attachment menu. Bot can be added to attachment menu, only if userTypeBot.canBeAddedToAttachmentMenu == true. Returns `Ok`

### ToggleBotIsAddedToAttachmentMenu

public ToggleBotIsAddedToAttachmentMenu(long botUserId, boolean isAdded, boolean allowWriteAccess)
Adds or removes a bot to attachment menu. Bot can be added to attachment menu, only if userTypeBot.canBeAddedToAttachmentMenu == true. Returns `Ok`

Parameters:
  `botUserId` - long Bot's user identifier.
  `isAdded` - boolean Pass true to add the bot to attachment menu; pass false to remove the bot from attachment menu.
  `allowWriteAccess` - boolean Pass true if the current user allowed the bot to send them messages. Ignored if isAdded is false.

### ToggleBotIsAddedToAttachmentMenu

public ToggleBotIsAddedToAttachmentMenu(DataInput input) throws IOException
Adds or removes a bot to attachment menu. Bot can be added to attachment menu, only if userTypeBot.canBeAddedToAttachmentMenu == true. Returns `Ok`

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`